Subject: Re: bug#60595: ibtypes::rfc-toc The description does not give usage example.

From: Mats Lidell <[email-masked]>
Date: Fri, 06 Jan 2023 22:46:35 +0100

> Jean Louis writes:
> I use:  Editor:      GNU Emacs 30.0.50
>         Hyperbole:   8.0.0
>         Sys Type:    x86_64-pc-linux-gnu
>         OS Type:     gnu/linux
>         Window Sys:  x
>         News Reader: Gnus v5.13
>         Install:     elpa, 8.0.0
>
> The description does not give usage example.
>
> {C-h f ibtypes::rfc-toc               RET}
>
>
> -- 
> Jean
>
> Take action in Free Software Foundation campaigns:
> https://www.fsf.org/campaigns
>
> In support of Richard M. Stallman
> https://stallmansupport.org/
>
>
>
> _______________________________________________
> Bug-hyperbole mailing list
> [email-masked]
> https://lists.gnu.org/mailman/listinfo/bug-hyperbole

Hi Jean,

Thanks for the report. I think the usage is described but is a little subtle. If I'm not mistaken the idea with this implicit button is to create an "Occur-like" buffer based on the contents of the RFC. From that occur-buffer it is possible to jump directly to each section in the RFC. The button can be activated from any line in the RFC.

I understand that the description can be improved. What seems worse is that I can't get it to work like I have described above. So there seems to be a bug here. With this working maybe the description would make more sense if you see the result of an invocation. 

%% Mats